<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="index"}

<nav class="acc-year">
    <h4>Année fiscale sélectionnée&nbsp;:</h4>
    <h3>{$annee_recu}</h3>
    <footer>{linkbutton label="Changer d'année fiscale" href="%s/choix_annee.php?from=%s"|args:PLUGIN_URL,rawurlencode($self_url) shape="settings"}</footer>
</nav>

<form id="formulaire_saisie" method="post" action="action.php">

    <div id="choix_methode">
        <h3>Sélectionner les versements pour les reçus</h3>

        <fieldset>
            {* <legend>Choisir une des méthodes</legend> *}
            <dl id="menu">
                <dd class="radio-btn">
                    <input type="radio" id="radio_versements_personne" name="choix_versements" value="personne"
                        onclick="choixMethodeGeneration(this.form, 'personne', 'menu_versements', '.menu');" />
                    <label for="radio_versements_personne">
                        <div class="explications">
                            <h5>
                                Seuls les versements des personnes importent.
                            </h5>
                            <p class="help">Choisissez cette option si vous n'avez pas besoin des activités ni des tarifs</p>
                        </div>
                    </label>
                </dd>

                <dd class="radio-btn">
                    <input type="radio" id="radio_versements_activites" name="choix_versements" value="activite"
                        onclick="choixMethodeGeneration(this.form, 'activite', 'menu_activites_tarifs', '.menu');" />
                    <label for="radio_versements_activites">
                        <div class="explications">
                            <h5>
                                Certaines activités, certains tarifs ou certains comptes importent.
                            </h5>
                            <p class="help">Choisissez cette option pour classer les versements par activités, tarifs et comptes</p>
                        </div>
                    </label>
                </dd>
            </dl>
        </fieldset>
    </div>

    {* Tous les versements *}
    <div id="menu_versements" class="menu hidden">
        <h3>Choisir le taux de réduction</h3>
        <fieldset>
            {if $nbTaux == 0}
            <h3 class="warning">Vous devez d'abord sélectionner au moins un taux de réduction dans l'onglet de configuration</h3>
            {/if}
            {if $nbChamps == 0}
            <h3 class="warning">Vous devez d'abord sélectionner au moins un champ pour le nom et le prénom dans l'onglet de configuration</h3>
            {/if}
            {if $nbTaux > 0 && $nbChamps > 0}
            <ul class="reduction">
            {foreach from=$plugin_config->reduction item="reduc"}
            {if $reduc->valeur == 1}
            <li>
            <span class="radio-btn">
                <input
                    type="radio"
                    id="{$reduc->taux}"
                    name="taux_reduction"
                    value="{$reduc->taux}"
                    {if $nbTaux == 1}checked{/if}
                />
                <label for="{$reduc->taux}">{$reduc->taux}{if $reduc->remarque != ""} - {$reduc->remarque}{/if}</label>
            </span>
            </li>
            {/if}
            {/foreach}
            </ul>
            {/if}
        </fieldset>

        <p class="submit">
            {csrf_field key="generer_tous_recus"}
            {button type="submit" name="generer_tous" label="Poursuivre" shape="right" class="main" onclick="return verifierRadio('menu_versements');" }
        </p>
    </div>

    {* Activités, tarifs et comptes *}
    <div id="menu_activites_tarifs" class="menu hidden">
        <h3>Choisir les activités, tarifs et comptes concernés ainsi que le taux de réduction</h3>
        <fieldset>
            {if $nbTaux == 0}
            <h3 class="warning">Vous devez d'abord sélectionner au moins un taux de réduction dans l'onglet de configuration</h3>
            {/if}
            {if $nbChamps == 0}
            <h3 class="warning">Vous devez d'abord sélectionner au moins un champ pour le nom et le prénom dans l'onglet de configuration</h3>
            {/if}
            {if $nbTaux > 0 && $nbChamps > 0}
            <ul id="liste_activites">
                {foreach from=$activitesTarifsComptes item="elem"}
                <li>
                    <?php
                    $tarif = $lesTarifs[$elem->idTarif];
                    $compte = $lesComptes[$elem->idCompte];
                    $activite = $lesActivites[$tarif->idActivite];
                    ?>
                    <div class="activite">
                    {if $nbTarifs == 1}
                    {input
                         type="checkbox"
                         name="tarifs[]"
                         value="%s_%s"|args:$elem.idTarif,$elem.idCompte
                         label="Activité « %s » - tarif « %s » ;"|args:$activite.label,$tarif.label
                         checked="checked"
                    }
                    {else}
                    {input
                         type="checkbox"
                         name="tarifs[]"
                         value="%s_%s"|args:$elem.idTarif,$elem.idCompte
                         label="Activité « %s » - tarif « %s » ;"|args:$activite.label,$tarif.label
                    }
                    {/if}
                    <span>compte : {$elem.codeCompte} ({$compte->nomCompte})</span>
                    </div>
                    <ul class="reduction">
                        {foreach from=$plugin_config->reduction item="reduc"}
                        {if $reduc->valeur == 1}
                        <li>
                        <span class="radio-btn">
                            <input
                                type="radio"
                                id="taux_{$reduc->taux}_{$elem.idTarif}_{$elem.idCompte}"
                                name="taux_reduction_{$elem.idTarif}_{$elem.idCompte}"
                                value="{$reduc->taux}"
                                {if $nbTarifs > 1}disabled{/if}
                                {if $nbTaux == 1}checked{/if}
                            />
                            <label for="taux_{$reduc->taux}_{$elem.idTarif}_{$elem.idCompte}">
                            {$reduc->taux}{if $reduc->remarque != ""} - {$reduc->remarque}{/if}</label>
                        </span>
                        </li>
                        {/if}
                        {/foreach}
                    </ul>
                </li>
                {/foreach}
                {* comptes non rattachés à une activité *}
                {foreach from=$comptesSansActivite item="idCompte"}
                <li>
                <div class="activite">
                {input
                     type="checkbox"
                     name="comptes[]"
                     value="%s"|args:$idCompte
                     label="Versements non rattachés à une activité ;"
                }
                <?php $compte = $lesComptes[$idCompte]; ?>
                <span>compte : {$compte.codeCompte} ({$compte.nomCompte})</span>
                </div>
                <ul class="reduction">
                    {foreach from=$plugin_config->reduction item="reduc"}
                    {if $reduc->valeur == 1}
                    <li>
                    <span class="radio-btn">
                        <input
                            type="radio"
                            id="taux_{$reduc->taux}_{$idCompte}"
                            name="taux_reduction_{$idCompte}"
                            value="{$reduc->taux}"
                            disabled
                            {if $nbTaux == 1}checked{/if}
                        />
                        <label for="taux_{$reduc->taux}_{$idCompte}">
                        {$reduc->taux}{if $reduc->remarque != ""} - {$reduc->remarque}{/if}</label>
                    </span>
                    </li>
                    {/if}
                    {/foreach}
                </ul>
                </li>
                {/foreach}
            </ul>
            {/if}
        </fieldset>

        <p class="submit">
            {csrf_field key="generer_recus_activites"}
            {button type="submit" name="generer_activites" label="Poursuivre" shape="right" class="main" onclick="return verifierCases('menu_activites_tarifs');" }
        </p>
    </div>
</form>

<script type="text/javascript" src="script.js" defer="defer"></script>
{literal}
<script type="text/javascript">
    // activer/désactiver les radios des activités/tarifs
    for (var laCase of document.querySelectorAll("input[type=checkbox]")) {
        laCase.addEventListener('change', (evt) => {
            var idCase = evt.target;
            // chercher la ligne englobante (<li>)
            var ligne = idCase.closest("li");
            // itérer sur les radio de cette ligne
            var lesRadios = ligne.querySelectorAll('input[type=radio]');
            for (var idRadio of lesRadios) {
                if (idCase.checked) {
                    idRadio.disabled = '';
                } else {
                    idRadio.disabled = 'disabled';
                }
            }
        });
    }
</script>
{/literal}

<!-- footer -->
{include file="admin/_foot.tpl"}