<?php

namespace Garradin;

use Garradin\Plugin\RecusFiscaux\Utils;

// Année fiscale par défaut
if (! isset($_SESSION['annee_recu']) || $_SESSION['annee_recu'] == "")
{
    $_SESSION['annee_recu'] = date("Y") - 1;
}

// nombre de taux de réduction activés
$nbTaux = 0;
foreach ($plugin->getConfig('reduction') as $taux)
{
    if ($taux->valeur == 1) { ++$nbTaux; }
}

// idem avec les champs nom/prénom
$nbChamps = 0;
$champsNom = Utils::getChampsNom($config, $plugin);
if (null !== $champsNom)
{
    foreach ($champsNom as $nom => $champ)
    {
        if ($champ->position != 0) { ++$nbChamps; }
    }
}

// comptes sur lesquels des versements de membres ont été faits
// pendant l'année fiscale choisie
$_SESSION['comptes'] = Utils::getComptes($_SESSION['annee_recu'], 'like', '7%');

// liste des activités, cotisations et comptes associés
$activitesTarifsComptes = Utils::getTarifsComptes($_SESSION['annee_recu'], 'like', '7%');
$_SESSION['lesTarifs'] = Utils::getTarifs();
$_SESSION['lesActivites'] = Utils::getActivites();

// liste des comptes associés à aucune activité
$comptesSansActivite = array();
foreach ($_SESSION['comptes'] as $id => $elem)
{
    $trouve = false;
    foreach ($activitesTarifsComptes as $elem)
    {
        if ($id == $elem->idCompte) { $trouve = true ; break; }
    }
    if (! $trouve) { $comptesSansActivite[] = $id; }
}

// préparation de l'affichage
$tpl->assign('annee_recu', $_SESSION['annee_recu']);
$tpl->assign('lesComptes', $_SESSION['comptes']);
$tpl->assign('lesTarifs', $_SESSION['lesTarifs']);
$tpl->assign('lesActivites', $_SESSION['lesActivites']);
$tpl->assign('activitesTarifsComptes', $activitesTarifsComptes);
$tpl->assign('comptesSansActivite', $comptesSansActivite);
$tpl->assign('nbTarifs', count($activitesTarifsComptes));
$tpl->assign('nbComptes', count($_SESSION['comptes']));
$tpl->assign('plugin_config', $plugin->getConfig());
$tpl->assign('nbTaux', $nbTaux);
$tpl->assign('nbChamps', $nbChamps);
$tpl->assign('plugin_css', ['style.css']);

// envoyer au template
$tpl->display(PLUGIN_ROOT . '/templates/index.tpl');
